![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)

---

# Digital Input Output

Code developed on [Fusion for PIC v8](https://www.mikroe.com/fusion-for-pic-v8) and it can be used on other MIKROE development boards as well. Code was developed with purpose of easier understanding functions for digital input and digital output.

---

- **Author**      : Elena Stojkovski
- **Version**     : 2.0.0.0
- **Date**        : June 2022.

---

## Code description

Depending on pushed button, the following thing will happen:

- B0 -> Diodes A0 - A4 will light up
- B1 -> Diodes A0 - A4 will turn off
- B2 -> Value on diodes A0 - A4 will toggle
- B3 -> Diode A3 will light up
- B4 -> Diode A4 will turn off

---

## Software Support

We provide demo code for testing all functions contained in libraries *MikroSDK.Driver.GPIO.Out* and *MikroSDK.Driver.GPIO.In*, available in [mikroSDK 2.0](https://github.com/MikroElektronika/mikrosdk_v2).

### Functions Description

All functions used in main project are placed in [digital_in_out.h](../Examples/example/digital_in_out.h) and [digital_in_out.c](../Examples/example/digital_in_out.c) files. Functions are simple and they use already created functions from *MikroSDK.Driver.GPIO.Out*, and *MikroSDK.Driver.GPIO.In.* libraries.

Functions in digital_in_out files:

- `void pins_low( outputs_t *output_pins )` - Function for setting all output pins from structure to low
- `void pins_high( outputs_t *output_pins )` - Function for setting all output pins from structure to high
- `void pins_toggle( outputs_t *output_pins )` - Function for toggling values of all output pins from structure

Main program [main.c](../Examples/example/main.c) also has one function:

- `void pin_init( void )` - Initializes all input and output pins, and also links output pins to the structure

## Hardware Support

![image](./switches.png)
This code was developed on *Fusion for PIC v8* board. For this hardware to work according to program, it is necessary to:

- Pull switch that turns on *PORT LEDS* for output port, which is in this case A port (in the *BOARD SETUP* part, on picture -> red square on the right).
- Push the *BUTTONS* switch for input port, in this case B, to Pull Up position (also located in *BOARD SETUP*).
- Push switches for used input pins to Pull Down position (switches are located next to the buttons, on picture -> red square on the left).
